Bug 170226 - [PATCH] www/py-requests: update to 0.13.5, take maintainership + lots more
[PATCH] www/py-requests: update to 0.13.5, take maintainership + lots more
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-28 03:40 UTC by koobs.freebsd
Modified: 2012-07-28 18:30 UTC (History)
1 user (show)

See Also:


Attachments
py27-requests-0.13.5.patch (36.01 KB, patch)
2012-07-28 03:40 UTC, koobs.freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs.freebsd 2012-07-28 03:40:07 UTC
Deprecates ports/168569

- Update to 0.13.5
- Humbly take maintainership, thanks Olivier (ports/168569)
- Remove LICENSE_FILE for those in bsd.licenses.db.mk
- Un-unbundle urllib3, and chardet (upstream bundles these and makes local mods)
    - Remove urllib3 and chardet from {BUILD,RUN}_DEPENDS accordingly.
    - Remove "unbundle" patches accordingly.
- Remove gevent dependency, requests.async has been removed in favour of grequests (www/py-grequests)
- Add security/py-oauthlib to RUN_DEPENDS (requests.auth now uses this instead of oauth_hook)
- Remove post-patch target bits
- Remove unecessary patches
- Patch setup.py 
    - include zip_safe=False 
    - Remove PLIST_FILES
    - Add a pkg-plist accordingly, update and sort it.

Changes:

https://github.com/kennethreitz/requests/blob/v0.13.5/HISTORY.rst

==[QA]==

- `port test` clean
- python-requests unit tests:
    - test_cookies.py: Ran 15 tests in 32.855s OK
    - test_requests.py: Ran 62 tests in 64.201s OK
    - test_requests_https.py: Ran 2 tests in 2.339s OK
    - test_requests_ext.py: Ran 11 tests in 15.400s OK
- Redports clean: 
    https://redports.org/buildarchive/20120728005011-35690/

Added file(s):
- pkg-plist

Removed file(s):
- files/patch-requests.egg-info_SOURCES.txt
- files/patch-requests_compat.py
- files/patch-requests_models.py
- files/patch-requests_packages___init__.py
- files/patch-requests_sessions.py

Port maintainer (duchateau.olivier@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-07-28 03:40:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-07-28 03:40:20 UTC
Maintainer of www/py-requests,

Please note that PR ports/170226 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170226

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-07-28 03:40:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2012-07-28 17:10:45 UTC
Responsible Changed
From-To: freebsd-python->rm

I will take it.
Comment 5 dfilter freebsd_committer 2012-07-28 18:25:36 UTC
Author: rm
Date: Sat Jul 28 17:25:24 2012
New Revision: 301666
URL: http://svn.freebsd.org/changeset/ports/301666

Log:
  - update to 0.13.5
  - pass maintainership to submitter (approved in ports/168569)
  - remove LICENSE_FILE
  - use bundled urllib3 and chardet because upstream bundle them with
    local modifications, needed for py-requests to work. Remove related patches
  - add dependency on security/py-oauthlib
  - set zip_safe=False to setup.py to install egg extracted
  - move package list to pkg_plist
  
  While here:
  - tab -> space in pkg-descr:WWW
  - change USE_PYTHON to -3.1, because 2.6 is already bottom corner in the tree
  
  This port doesn't actually packages with python3 because it's dependency
  (security/py-certify) doesn't.
  
  PR:		170226
  Submitted by:	Kubilay Kocak <koobs.freebsd at gmail dot com>
  Approved by:	olivierd (maintainer)

Added:
  head/www/py-requests/pkg-plist   (contents, props changed)
Deleted:
  head/www/py-requests/files/patch-requests.egg-info_SOURCES.txt
  head/www/py-requests/files/patch-requests_compat.py
  head/www/py-requests/files/patch-requests_models.py
  head/www/py-requests/files/patch-requests_packages___init__.py
  head/www/py-requests/files/patch-requests_sessions.py
Modified:
  head/www/py-requests/Makefile   (contents, props changed)
  head/www/py-requests/distinfo   (contents, props changed)
  head/www/py-requests/files/patch-setup.py   (contents, props changed)
  head/www/py-requests/pkg-descr   (contents, props changed)

Modified: head/www/py-requests/Makefile
==============================================================================
--- head/www/py-requests/Makefile	Sat Jul 28 16:25:11 2012	(r301665)
+++ head/www/py-requests/Makefile	Sat Jul 28 17:25:24 2012	(r301666)
@@ -6,33 +6,20 @@
 #
 
 PORTNAME=	requests
-PORTVERSION=	0.12.1
+PORTVERSION=	0.13.5
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
-MAINTAINER=	duchateau.olivier@gmail.com
+MAINTAINER=	koobs.freebsd@gmail.com
 COMMENT=	Requests is an elegant and simple HTTP library for Python
 
 LICENSE=	ISCL
-LICENSE_FILE=	${WRKSRC}/LICENSE
 
-BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}urllib3>=1.2:${PORTSDIR}/net/py-urllib3
-RUN_DEPENDS=	${PYTHON_SITELIBDIR}/gevent/__init__.py:${PORTSDIR}/devel/py-gevent \
-		${PYTHON_SITELIBDIR}/certifi/__init__.py:${PORTSDIR}/security/py-certify \
-		${PYTHON_PKGNAMEPREFIX}urllib3>=1.2:${PORTSDIR}/net/py-urllib3 \
-		${PYTHON_PKGNAMEPREFIX}chardet>=2.0.1:${PORTSDIR}/textproc/py-chardet
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}certifi>0:${PORTSDIR}/security/py-certify \
+		${PYTHON_PKGNAMEPREFIX}oauthlib>=0.1.0:${PORTSDIR}/security/py-oauthlib
 
-USE_PYTHON=	2.6-3.1
+USE_PYTHON=	-3.1
 USE_PYDISTUTILS=	easy_install
 
-REINPLACE_ARGS=	-i ""
-
-PLIST_FILES=	%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
-
-post-patch:
-	@${FIND} ${WRKSRC} -type f -name '*.orig' -exec ${RM} -f \{\} \;
-	@${FIND} ${WRKSRC} -type f -name '*.py' | \
-		${XARGS} ${REINPLACE_CMD} 's|is_linux|is_freebsd|g'
-
 .include <bsd.port.mk>

Modified: head/www/py-requests/distinfo
==============================================================================
--- head/www/py-requests/distinfo	Sat Jul 28 16:25:11 2012	(r301665)
+++ head/www/py-requests/distinfo	Sat Jul 28 17:25:24 2012	(r301666)
@@ -1,2 +1,2 @@
-SHA256 (requests-0.12.1.tar.gz) = 9ce56b87180c06728d96ca734055675abf8f5cc3136e0d7712a6260430685589
-SIZE (requests-0.12.1.tar.gz) = 78245
+SHA256 (requests-0.13.5.tar.gz) = c6abb4b15a3f2aaad18c22b214b9b35d69ec4e2730c5b922f95f17a88981f957
+SIZE (requests-0.13.5.tar.gz) = 519553

Modified: head/www/py-requests/files/patch-setup.py
==============================================================================
--- head/www/py-requests/files/patch-setup.py	Sat Jul 28 16:25:11 2012	(r301665)
+++ head/www/py-requests/files/patch-setup.py	Sat Jul 28 17:25:24 2012	(r301666)
@@ -1,54 +1,37 @@
---- setup.py.orig	2012-05-08 06:56:28.000000000 +0200
-+++ setup.py	2012-05-19 13:42:13.000000000 +0200
-@@ -11,7 +11,7 @@
- from requests.compat import is_py3
- 
- try:
--    from setuptools import setup
-+    from setuptools import setup, find_packages
-     # hush pyflakes
-     setup
- except ImportError:
-@@ -21,31 +21,8 @@
+--- ./setup.py.orig	2012-07-27 17:22:56.000000000 +1000
++++ ./setup.py	2012-07-28 10:46:43.000000000 +1000
+@@ -15,8 +15,6 @@
      os.system('python setup.py sdist upload')
      sys.exit()
  
--packages = [
--    'requests',
--    'requests.packages',
--    'requests.packages.urllib3',
--    'requests.packages.urllib3.packages',
--    'requests.packages.urllib3.packages.ssl_match_hostname',
--    'requests.packages.urllib3.packages.mimetools_choose_boundary',
--]
--
--# certifi is a Python package containing a CA certificate bundle for SSL verification.
--# On certain supported platforms (e.g., Red Hat / Debian / FreeBSD), Requests can
--# use the system CA bundle instead; see `requests.utils` for details.
--# If your platform is supported, set `requires` to [] instead:
--requires = ['certifi>=0.0.7']
--
--# chardet is used to optimally guess the encodings of pages that don't declare one.
--# At this time, chardet is not a required dependency. However, it's sufficiently
--# important that pip/setuptools should install it when it's unavailable.
--if is_py3:
--    chardet_package = 'chardet2'
--else:
--    chardet_package = 'chardet>=1.0.0'
--    requires.append('oauthlib>=0.1.0,<0.2.0')
+-os.environ['PYTHONDONTWRITEBYTECODE'] = '1'
 -
--requires.append(chardet_package)
-+# FreeBSD ports tree, provides only chardet2
-+requires = ['certifi>=0.0.7', 'chardet>=2.0.0']
+ packages = [
+     'requests',
+     'requests.packages',
+@@ -27,11 +25,6 @@
  
- # The async API in requests.async requires the gevent package.
- # This is also not a required dependency.
-@@ -62,7 +39,7 @@
-     author='Kenneth Reitz',
-     author_email='me@kennethreitz.com',
-     url='http://python-requests.org',
--    packages=packages,
-+    packages=find_packages(exclude=['requests.packages.url*']),
-     package_data={'': ['LICENSE', 'NOTICE']},
+ if is_py2:
+     packages.extend([
+-        'requests.packages.oauthlib',
+-        'requests.packages.oauthlib.oauth1',
+-        'requests.packages.oauthlib.oauth1.rfc5849',
+-        'requests.packages.oauthlib.oauth2',
+-        'requests.packages.oauthlib.oauth2.draft25',
+         'requests.packages.chardet',
+     ])
+ else:
+@@ -52,6 +45,7 @@
+     package_data={'': ['LICENSE', 'NOTICE'], 'requests': ['*.pem']},
+     package_dir={'requests': 'requests'},
      include_package_data=True,
++    exclude_package_data={'': ['oauthlib/*']},
      install_requires=requires,
+     license=open('LICENSE').read(),
+     classifiers=(
+@@ -66,4 +60,5 @@
+         'Programming Language :: Python :: 3.0',
+         'Programming Language :: Python :: 3.1',
+     ),
++    zip_safe=False,
+ )

Modified: head/www/py-requests/pkg-descr
==============================================================================
--- head/www/py-requests/pkg-descr	Sat Jul 28 16:25:11 2012	(r301665)
+++ head/www/py-requests/pkg-descr	Sat Jul 28 17:25:24 2012	(r301666)
@@ -1,3 +1,3 @@
 Requests: HTTP for Humans. It's an elegand and simple HTTP library for Python.
 
-WWW:	http://python-requests.org/
+WWW: http://python-requests.org/

Added: head/www/py-requests/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/py-requests/pkg-plist	Sat Jul 28 17:25:24 2012	(r301666)
@@ -0,0 +1,321 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/_oauth.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/_oauth.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/_oauth.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/api.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/api.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/api.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/async.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/async.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/async.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/auth.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/auth.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/auth.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cacert.pem
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/certs.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/certs.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/certs.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/compat.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/compat.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/compat.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cookies.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cookies.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cookies.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/defaults.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/defaults.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/defaults.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/exceptions.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/exceptions.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/exceptions.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/hooks.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/hooks.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/hooks.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/models.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/models.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/models.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/chardistribution.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/chardistribution.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/chardistribution.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/codingstatemachine.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/codingstatemachine.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/codingstatemachine.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/constants.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/constants.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/constants.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escsm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escsm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escsm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/eucjpprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/eucjpprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/eucjpprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/hebrewprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/hebrewprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/hebrewprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jisfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jisfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jisfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jpcntx.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jpcntx.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jpcntx.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langbulgarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langbulgarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langbulgarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langcyrillicmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langcyrillicmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langcyrillicmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langgreekmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langgreekmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langgreekmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhebrewmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhebrewmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhebrewmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhungarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhungarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhungarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langthaimodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langthaimodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langthaimodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/latin1prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/latin1prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/latin1prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcssm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcssm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcssm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sjisprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sjisprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sjisprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/universaldetector.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/universaldetector.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/universaldetector.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/utf8prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/utf8prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/utf8prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/chardistribution.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/chardistribution.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/chardistribution.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/codingstatemachine.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/codingstatemachine.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/codingstatemachine.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/constants.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/constants.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/constants.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escsm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escsm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escsm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/eucjpprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/eucjpprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/eucjpprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/hebrewprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/hebrewprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/hebrewprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jisfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jisfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jisfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jpcntx.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jpcntx.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jpcntx.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langbulgarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langbulgarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langbulgarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langcyrillicmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langcyrillicmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langcyrillicmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langgreekmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langgreekmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langgreekmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhebrewmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhebrewmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhebrewmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhungarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhungarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhungarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langthaimodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langthaimodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langthaimodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/latin1prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/latin1prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/latin1prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcssm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcssm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcssm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sjisprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sjisprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sjisprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/test.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/test.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/test.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/universaldetector.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/universaldetector.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/universaldetector.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/utf8prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/utf8prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/utf8prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/_collections.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/_collections.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/_collections.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/connectionpool.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/connectionpool.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/connectionpool.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/exceptions.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/exceptions.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/exceptions.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/filepost.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/filepost.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/filepost.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ordered_dict.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ordered_dict.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ordered_dict.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/six.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/six.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/six.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/poolmanager.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/poolmanager.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/poolmanager.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/request.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/request.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/request.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/response.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/response.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/response.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/util.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/util.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/util.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/safe_mode.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/safe_mode.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/safe_mode.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/sessions.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/sessions.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/sessions.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/status_codes.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/status_codes.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/status_codes.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/structures.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/structures.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/structures.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/utils.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/utils.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/utils.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2012-07-28 18:29:26 UTC
State Changed
From-To: feedback->closed

Committed, thank you!